## maint-guide 1.2.19

=== Makefile ===
#
# Makefile for the Debian New Maintainers' Guide
#
# Should work both for a manual in the Debian Documentation Project
# preset values here may be overriden by a higher level makefile

# Build type: Possible values are BUILD_TYPE = web|package|...
BUILD_TYPE	:= web

# Basename for SGML sources
MANUAL		:= maint-guide

# Language which is excluded from producing PS, PDF (Customizable)
LANG_CJK	:= ko zh-cn zh-tw
#LANG_CJK	:= 

# Language which generates SGML files from PO file (Customizable)
LANG_PO		:= it

SOURCES_ALL	:= $(wildcard *.??*.sgml)
PO_ALL		:= $(wildcard *.??*.po)
# Language group
LANG_ALL	:= $(patsubst $(MANUAL).%.sgml, %, $(SOURCES_ALL)) $(patsubst $(MANUAL).%.po, %, $(PO_ALL))
LANG_NOE	:= $(filter-out en,$(LANG_ALL))
LANG_NOCJK	:= $(filter-out $(LANG_CJK),$(LANG_ALL))
LANG_NOCJKE	:= $(filter-out $(LANG_CJK) en,$(LANG_ALL))

# For package building (all)
INSTALL_DIR := $(CURDIR)/debian
all:
	$(MAKE) version.ent
	$(MAKE) po
	$(MAKE) html txt ps pdf
	for lang in $(LANG_NOE); do sed -e "s/@@/$$lang/g" < $(CURDIR)/debian/all.install-in >$(CURDIR)/debian/$(MANUAL)-$$lang.install; done

version.ent:
	echo '<!entity' "docisodate \"$(shell LC_ALL=C date -u +'%F %T %Z')\">" > version.ent
	echo '<!entity' "docversion \"$(shell LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//')\">" >> version.ent

# For web page building (publish)
# this can and will be overriden by a higher level makefile
PUBLISHDIR	:= /org/www.debian.org/www/doc/manuals
publish: 
	echo '<!entity docisodate "$(shell LC_ALL=C date -u +'%F %T %Z')">' > version.ent
	echo '<!entity docversion "$(shell LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//')-svn">' >> version.ent
	$(MAKE) po
	$(MAKE) html txt ps pdf
	test -d $(PUBLISHDIR)/$(MANUAL) || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	# remove old files
	install -p -m 644 $(MANUAL)*.html/*.html $(PUBLISHDIR)/$(MANUAL)/
	install -p -m 644 $(MANUAL)*.txt $(MANUAL)*.ps $(MANUAL)*.pdf $(PUBLISHDIR)/$(MANUAL)

# generating SGML files from PO files
PO_UPDATE	:= po4a-updatepo --previous -M latin1 -f sgml
#PO_UPDATE	:= po4a-updatepo --previous --msgmerge-opt --no-wrap -M latin1 -f sgml
PO_TRANSLATE	:= po4a-translate  -M latin1 -f sgml --keep 0
PO_GETTEXT	:= po4a-gettextize -M latin1 -f sgml


po:
	if ! [ -f version.ent ]; then $(MAKE) version.ent; fi
	for lang in $(LANG_PO); do \
	$(PO_UPDATE) -m $(MANUAL).en.sgml -p $(MANUAL).$$lang.po ;\
	$(PO_TRANSLATE) -v -L latin1 -m $(MANUAL).en.sgml -l $(MANUAL).$$lang.sgml -p $(MANUAL).$$lang.po -a $$lang.1.add ;\
        done
	$(PO_GETTEXT) -m $(MANUAL).en.sgml -p $(MANUAL).pot

# generating HTML
# ugly because the normal stuff works only as PHONYs. :(
#$(MANUAL).%.html/index.%.html: $(MANUAL).%.sgml
#	debiandoc2html -c -l $* $<
html:
	if ! [ -f version.ent ]; then $(MAKE) version.ent ; $(MAKE) po; fi
	for lang in $(LANG_ALL); do \
	  if /usr/bin/test \( ! -e $(MANUAL).$$lang.html/index.$$lang.html \) -o \( $(MANUAL).$$lang.sgml -nt $(MANUAL).$$lang.html/index.$$lang.html \); then \
            echo debiandoc2html -c -l $$lang $(MANUAL).$$lang.sgml; \
            debiandoc2html -c -l $$lang $(MANUAL).$$lang.sgml; \
          fi; \
        done

# generating plain text
txt text: $(patsubst %.sgml,%.txt,$(SOURCES_ALL))

$(MANUAL).%.txt: $(MANUAL).%.sgml
	debiandoc2text -l $* $<

# generating PostScript
ps: $(patsubst %,$(MANUAL).%.ps,$(LANG_NOCJK))
	for lang in $(LANG_CJK); do \
	echo "Tex problem prevents PS build" >$(MANUAL).$$lang.ps ;\
	done

$(MANUAL).%.ps: $(MANUAL).%.sgml
	debiandoc2latexps -l $* $<

# generating Portable Document Format
pdf: $(patsubst %,$(MANUAL).%.pdf,$(LANG_NOCJK))
	for lang in $(LANG_CJK); do \
	echo "Tex problem prevents PDF build" >$(MANUAL).$$lang.pdf ;\
	done

$(MANUAL).%.pdf: $(MANUAL).%.sgml
	debiandoc2latexpdf -l $* $<

# validating SGML
validate:
	@set -x; for i in $(wildcard *.sgml); do nsgmls -ges -wall $$i; done

# cleaning up
clean:
	-rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,out,sasp*,tpt,tex-in} *~
	-rm -rf $(MANUAL)*.html 
	-rm -rf *.tmp
	-rm version.ent
	for lang in $(LANG_PO); do \
	rm -f $(MANUAL).$$lang.sgml ;\
        done
ifneq ("$(BUILD_TYPE)", "web")
	-rm -rf $(PUBLISHDIR)/$(MANUAL)
else
	for lang in $(LANG_NOE); do rm -f $(CURDIR)/debian/$(MANUAL)-$$lang.install; done
endif

distclean: clean

.PHONY: all publish clean distclean validate
.SUFFIXES:

=== debian/changelog ===
maint-guide (1.2.19) unstable; urgency=low

  * Used the WWW resource URI according to docbook-xsl. Closes: #581961
  * Swapped Maintainer and Uploaders to reflect the role for last 5 years.
  * Added Homepage in control.
  * Updated Italian translation.
  * Documented dh_installchangelogs description.
  * Updated Autotools related contents. 

 -- Osamu Aoki <osamu@debian.org>  Sat, 29 May 2010 01:57:57 +0900

maint-guide (1.2.18) unstable; urgency=low

  * Described URL redirect for http://sf.net. Closes: #578059
  * Used empty override target instead of :. 
  * Updated Italian translation by Calogero Lo Leggio et al with po4a. 
  * Added po4a dependency. 
  * Updated .quitrc example inspired by discussion with Ivan Borzenkov.
  * Updated .bashrc to export DEBFULLNAME DEBEMAIL. Closes: #581772
  * Documented dh --no-act as footnote.  Closes: #581814
  * Added pointer to Debconf9 presentation on debhelper. 
  * Fixed many minor bugs.

 -- Osamu Aoki <osamu@debian.org>  Sun, 16 May 2010 18:29:35 +0900

maint-guide (1.2.17) unstable; urgency=low

  [ Osamu Aoki ]
  * Fixed typos. 
  * Updated quilt usage examples.
  * Updated debian/rules to match the recommendation by this documentation.
  * Added lintian-overrides, info, manpages to "Other files under debian
    directory" and sorted its section by the meaningful part of the title.
    Closes: #575693
  * Recommended usage of "dh_auto_* -- additional parameters" syntax in
    override_dh_auto_* target customization. Closes: #575694

  [ Raphaël Hertzog ]
  * Drop --quilt option of dh_make, it's not needed now that "3.0 (quilt)"
    source packages are created by default.
  * Enhance sample .quiltrc with what's suggested in quilt's README.source.
  * Numerous fixes and simplifications (drop uninteresting "-j1" option in
    sample make commands, drop "-rfakeroot" in dpkg-buildpackage call, use
    ftp.upload.debian.org instead of ftp-master.debian.org, etc.)
  * Clarify explanations about "3.0 (quilt)" source format.

  [ Osamu Aoki ]
  * Enhanced quiltrc in again based on blog by Torsten Landschoff.
  * Updated "6.4 pbuilder package" including B90lintian.
  * Reverted to explain "7.7 interdiff command" and made complete overhaul of
    "7 Checking the package for errors".
  * Simplified "8.1 Uploading to the Debian archive" since local queue is not
    so useful these days and no need to copy the default configuration here.
  * Rewrote and reorganized major parts of "9 Updating the package".
  * Converted Credits to UTF-8.
  * Harmonized URL references to the Debian Policy Manual. 
  * Explained autobuilder, Build-Depends: and Build-Depends-Indep: fields.
  * Placed a bit more note on dput. Closes: #576424
  * Added dh --with description.
  * Made many touch-ups and shortened text as much as possible. 

 -- Osamu Aoki <osamu@debian.org>  Fri, 16 Apr 2010 00:23:01 +0900

maint-guide (1.2.16) unstable; urgency=low

  * Fixed file name of doc-debian for pt-br. 
  * Fixed changelog typo for bug#. s/544173/554173/.
  * Updated contents to reflect squeeze situation.
  * Updated to autogenerate version from changelog.
  * Fixed references related to dpkg-buildpackage with -i -I -sa.
  * Updated to use debian/install & dh_install in the text. Closes: #573621
  * Added list of program for development: python, quilt, git-core.
  * Updated to use xutils-dev instead. Closes: #573642
  * Updated to address 3.0(quilt) format, quilt usage, and dpatch to quilt
    migration. Closes: #573730, #573160
  * .quiltrc copied from Adeodato Simó's example.
  * debhelper in examples to >=7.0.50 for correct dh handling.
  * Updated rule file description for dh. Closes: #573732 
  * Updated private archive section by the URL pointer. Closes: #573735
  * Updated checksums to use MD5/SHA1/SHA256. Closes: #573856
  * Added Vcs-* fields description to debian/control. Closes: #573990
  * Updated that DD is not the only one uploading ... Closes: #574456
  * Documented compat etc. Closes: #574457
  * Added reference to mentors.debian.net.
  * Added Craig Small as author for his recent SVN commits.
  * Removed docbook2x usage for manpages.xml. Closes: #574946
  * Added quilt to Recommends of the binary package.
  * Made many URL links and consistent tagging.
  * Updated "Installation of files to the destination" contents.
  * Added references and pointers to CDBS.

 -- Osamu Aoki <osamu@debian.org>  Wed, 24 Mar 2010 01:41:52 +0900

maint-guide (1.2.15) unstable; urgency=low

  [ Osamu Aoki ]
  * Removed linda from recommends since is is not used any more.
    Closes: #554173
  * Fixed the Vcs-Cvs field per James Vega. Closes: #561242 
  * Updated this package to debhelper 7 with dh, dpkg source format 3.0
    (native).  Updated dependency and doc-base files.
  * Renamed file and package names to simplify situation by using newer locale
    support capabilities available in debiandoc-sgml (>=1.2.8). 
  * Removed freetype2-demos build dependency. 
  * "Copyright information" is now in 12.5. Closes: #572857

  [ Craig Small ]
  * Changed example to docbook2x-man Closes: #498017
  * Changed menu examples Closes: #437750
  * g77 changed to gfortran Closes: #505514
  * Updated links to developers reference Closes: #516467
  * Fixed 2 minor typos Closes: #527290
  * Use dpkg-depcheck instead of script Closes: #554180
  * Changed version section to remove reference to 0.0 Closes: #554948
  * Updated watch file example Closes: #437847
  * Updated doc-base.EX section
  * Added build-essential to packages needed
  * Changed rules file to debhelper 7 Closes: #511549, #549289
  * Adjusted French document to not use tags in sections Closes: #562325

 -- Osamu Aoki <osamu@debian.org>  Tue, 09 Mar 2010 02:01:04 +0900

=== debian/control ===
Source: maint-guide
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: debiandoc-sgml (>= 1.2.8), po4a, texlive-full, w3m, latex-cjk-all, ghostscript | gs-esp | gs
Standards-Version: 3.8.4
Homepage: http://www.debian.org/doc/devel-manuals#maint-guide
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/maint-guide
Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/maint-guide/

Package: maint-guide
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-fr
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder
Description: French translation of Debian New Maintainers' Guide
 This package contains the French translation of Debian New
 Maintainers' Guide, or Guide du nouveau responsable Debian.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-ja
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Japanese translation of Debian New Maintainers' Guide
 This package contains the Japanese translation of the Debian New 
 Maintainers' Guide.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-ko
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Korean translation of Debian New Maintainers' Guide
 This package contains the Korean translation of Debian New
 Maintainers' Guide.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-es
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Spanish translation of Debian New Maintainers' Guide
 This package contains the Spanish translation of Debian New
 Maintainers' Guide, or Guía del Nuevo Desarrollador de Debian.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-ru
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Russian translation of Debian New Maintainers' Guide
 This package contains the Russian translation of Debian New
 Maintainers' Guide, or Руководство начинающего разработчика Debian.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-de
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder
Description: German translation of Debian New Maintainers' Guide
 This package contains the German translation of Debian New
 Maintainers' Guide, bzw. Anleitung für zukünftige Debian-Maintainer.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-pt-br
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder
Conflicts: maint-guide-pt
Replaces: maint-guide-pt
Description: Portuguese translation of Debian New Maintainers' Guide
 This package contains the Portuguese (Brazilian) translation of Debian New
 Maintainers' Guide, or Guia dos Novos Mantenedores Debian.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-it
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Italian translation of Debian New Maintainers' Guide
 This package contains the Italian translation of Debian New Maintainers'
 Guide, or Guida per il nuovo Maintainer.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-pl
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Polish translation of Debian New Maintainers' Guide
 This package contains the Polish translation of Debian New Maintainers'
 Guide, or Podręcznik dla nowych opiekunów pakietów Debiana.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-zh-cn
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder
Conflicts: maint-guide-zh
Replaces: maint-guide-zh
Description: Chinese (simplified) translation of Debian New Maintainers' Guide
 This package contains the simplified Chinese translations of
 Debian New Maintainers' Guide.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-zh-tw
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder
Conflicts: maint-guide-zh
Replaces: maint-guide-zh
Description: Chinese (traditional) translation of Debian New Maintainers' Guide
 This package contains the traditional Chinese translations of
 Debian New Maintainers' Guide.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_auto_build:
	dh_auto_build -- BUILD_TYPE=package

## maint-guide 1.2.24

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,12 @@
 #
 # Should work both for a manual in the Debian Documentation Project
 # preset values here may be overriden by a higher level makefile
+
+# Language names are in lowercase web suffix style without encoding.
+# sgml uses traditional encoding such as latin1
+# $$lang.*.add files use traditional encoding such as latin1
+#                       You can use any number for middle *.
+# po files can be in UTF-8 encoding. (Depending on definition in it).
 
 # Build type: Possible values are BUILD_TYPE = web|package|...
 BUILD_TYPE	:= web
@@ -11,12 +17,17 @@
 MANUAL		:= maint-guide
 
 # Language which is excluded from producing PS, PDF (Customizable)
-LANG_CJK	:= ko zh-cn zh-tw
+LANG_CJK	:= ko
 #LANG_CJK	:= 
 
 # Language which generates SGML files from PO file (Customizable)
-LANG_PO		:= it
-
+ifneq ("$(BUILD_TYPE)", "web")
+# web build all po files
+LANG_PO		:= fr it zh-cn zh-tw
+else
+# package build good po files
+LANG_PO		:= fr it zh-cn zh-tw
+endif
 SOURCES_ALL	:= $(wildcard *.??*.sgml)
 PO_ALL		:= $(wildcard *.??*.po)
 # Language group
@@ -50,21 +61,35 @@
 	# remove old files
 	install -p -m 644 $(MANUAL)*.html/*.html $(PUBLISHDIR)/$(MANUAL)/
 	install -p -m 644 $(MANUAL)*.txt $(MANUAL)*.ps $(MANUAL)*.pdf $(PUBLISHDIR)/$(MANUAL)
+	echo "AddCharset UTF-8 .txt" > $(PUBLISHDIR)/$(MANUAL)/.htaccess
 
 # generating SGML files from PO files
-PO_UPDATE	:= po4a-updatepo --previous -M latin1 -f sgml
+# -M : master file $(MANUAL).en.sgml is always in UTF-8
+PO_UPDATE	:= po4a-updatepo --previous -M UTF-8 -f sgml
 #PO_UPDATE	:= po4a-updatepo --previous --msgmerge-opt --no-wrap -M latin1 -f sgml
-PO_TRANSLATE	:= po4a-translate  -M latin1 -f sgml --keep 0
-PO_GETTEXT	:= po4a-gettextize -M latin1 -f sgml
+PO_TRANSLATE	:= po4a-translate  -M UTF-8 -f sgml --keep 0
+PO_GETTEXT	:= po4a-gettextize -M UTF-8 -f sgml
 
+# -L : Charset of the file containing the localized document. UTF-8
+# xargs -n1 is to split into lines
+# sed script is to add "-a" to automatically add addendum files.
+
+tw:
+	msgcat --no-wrap $(MANUAL).zh-cn.po | opencc | sed -f cn2tw.sed | msgcat - > $(MANUAL).zh-tw.po
 
 po:
+	which opencc msgcat sed || true
+	#rm -f $(MANUAL).zh-tw.po
+	#$(make) tw
 	if ! [ -f version.ent ]; then $(MAKE) version.ent; fi
 	for lang in $(LANG_PO); do \
-	$(PO_UPDATE) -m $(MANUAL).en.sgml -p $(MANUAL).$$lang.po ;\
-	$(PO_TRANSLATE) -v -L latin1 -m $(MANUAL).en.sgml -l $(MANUAL).$$lang.sgml -p $(MANUAL).$$lang.po -a $$lang.1.add ;\
+	echo "Translate to: $$lang" ;\
+	$(PO_UPDATE) -o ignore-inclusion=version -m $(MANUAL).en.sgml -p $(MANUAL).$$lang.po ;\
+	$(PO_TRANSLATE) -v -L UTF-8 -m $(MANUAL).en.sgml -l $(MANUAL).$$lang.sgml -p $(MANUAL).$$lang.po \
+	$$(echo $$lang.*.add|xargs -n1|sed -ne 's/^\([^*]*\.add\)$$/-a \1/p') \
+	-o ignore-inclusion=version ;\
         done
-	$(PO_GETTEXT) -m $(MANUAL).en.sgml -p $(MANUAL).pot
+	$(PO_GETTEXT) -o ignore-inclusion=version -m $(MANUAL).en.sgml -p $(MANUAL).pot
 
 # generating HTML
 # ugly because the normal stuff works only as PHONYs. :(
@@ -74,16 +99,17 @@
 	if ! [ -f version.ent ]; then $(MAKE) version.ent ; $(MAKE) po; fi
 	for lang in $(LANG_ALL); do \
 	  if /usr/bin/test \( ! -e $(MANUAL).$$lang.html/index.$$lang.html \) -o \( $(MANUAL).$$lang.sgml -nt $(MANUAL).$$lang.html/index.$$lang.html \); then \
-            echo debiandoc2html -c -l $$lang $(MANUAL).$$lang.sgml; \
-            debiandoc2html -c -l $$lang $(MANUAL).$$lang.sgml; \
+            echo debiandoc2html -C -l $$lang.utf-8 $(MANUAL).$$lang.sgml; \
+            debiandoc2html -C -l $$lang.utf-8 $(MANUAL).$$lang.sgml; \
           fi; \
         done
 
 # generating plain text
 txt text: $(patsubst %.sgml,%.txt,$(SOURCES_ALL))
+	echo "AddCharset UTF-8 .txt" > .htaccess
 
 $(MANUAL).%.txt: $(MANUAL).%.sgml
-	debiandoc2text -l $* $<
+	debiandoc2text -l $*.utf-8 $<
 
 # generating PostScript
 ps: $(patsubst %,$(MANUAL).%.ps,$(LANG_NOCJK))
@@ -92,7 +118,7 @@
 	done
 
 $(MANUAL).%.ps: $(MANUAL).%.sgml
-	debiandoc2latexps -l $* $<
+	debiandoc2latexps -l $*.utf-8 $<
 
 # generating Portable Document Format
 pdf: $(patsubst %,$(MANUAL).%.pdf,$(LANG_NOCJK))
@@ -101,7 +127,7 @@
 	done
 
 $(MANUAL).%.pdf: $(MANUAL).%.sgml
-	debiandoc2latexpdf -l $* $<
+	debiandoc2latexpdf -l $*.utf-8 $<
 
 # validating SGML
 validate:
@@ -109,15 +135,23 @@
 
 # cleaning up
 clean:
-	-rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,out,sasp*,tpt,tex-in} *~
-	-rm -rf $(MANUAL)*.html 
-	-rm -rf *.tmp
-	-rm version.ent
+	for ext in txt ps dvi pdf log tex aux toc out tpt tex-in ; do \
+	rm -f $(MANUAL)*.$$ext ;\
+	done
+	rm -f .htaccess
+	rm -f $(MANUAL)*.info*
+	rm -f $(MANUAL)*.sasp*
+	rm -f $(MANUAL)*.info*
+	rm -f $(MANUAL)*.*~
+	rm -rf $(MANUAL)*.html 
+	rm -rf *.tmp
+	rm -f version.ent
 	for lang in $(LANG_PO); do \
 	rm -f $(MANUAL).$$lang.sgml ;\
         done
+	#rm -f $(MANUAL).zh-tw.po
 ifneq ("$(BUILD_TYPE)", "web")
-	-rm -rf $(PUBLISHDIR)/$(MANUAL)
+	rm -rf $(PUBLISHDIR)/$(MANUAL)
 else
 	for lang in $(LANG_NOE); do rm -f $(CURDIR)/debian/$(MANUAL)-$$lang.install; done
 endif
@@ -125,5 +159,6 @@
 distclean: clean
 
 .PHONY: all publish clean distclean validate
+.PHONY: po tw html text txt ps pdf
 .SUFFIXES:

=== debian/changelog ===
maint-guide (1.2.24) unstable; urgency=low

  * Dropped accidentally included opencc dependency for squeeze.

 -- Osamu Aoki <osamu@debian.org>  Thu, 30 Sep 2010 23:49:19 +0900

maint-guide (1.2.23) unstable; urgency=low

  * Debian is not just *Linux* distrubution.  Closes: #595507
  * Added "source/local-options file" section.
  * Updated fr translation (100%).
  * Added zh-cn, zh-tw, and it translation (100%) using po4a
    Closes: #593663

 -- Osamu Aoki <osamu@debian.org>  Mon, 27 Sep 2010 22:40:55 +0900

maint-guide (1.2.22) unstable; urgency=low

  [ David Prévot ]
  * s/git-core/git/g. Closes: #593416

  [ Osamu Aoki ]
  * Converted to use UTF-8 across build. Closes: #593678 
  * Reactvate ps/pdf for Chinese (zh-cn/zh-tw). Closes: #490161

 -- Osamu Aoki <osamu@debian.org>  Sat, 21 Aug 2010 03:54:38 +0900

maint-guide (1.2.21) unstable; urgency=low

  * Fixed missing list in the package description last paragraph
    of Spanish translation. Closes: #588559
  * Clarified that "package" is place holder and added an example.
    following suggestion of David Prévot. Closes: #590033
  * Encouraged work on already packaged programs following 
    suggestion of Serafeim Zanikolas. Closes: #590162
  * Documented Breaks for policy 3.9.0. Closes: #590185
  * Removed bashism from Makefile. 
  * Removed texlive-full from Build-Depends-Indep. Closes: #564241

 -- Osamu Aoki <osamu@debian.org>  Sun, 01 Aug 2010 21:27:00 +0900

maint-guide (1.2.20) unstable; urgency=low

  [ Osamu Aoki ]
  * Fixed problematic ways of presenting configuration files.
  * Fixed typo. Closes: #585475
  * Distinguish Debian and Debian archive. Closes: #586421

  [ David Prévot ]
  * Fixed typos, style and oudated mentions. Closes: #585551
  * Updated French translation with po4a.

 -- Osamu Aoki <osamu@debian.org>  Sat, 26 Jun 2010 11:43:14 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,13 @@
 Maintainer: Osamu Aoki <osamu@debian.org>
 Uploaders: Josip Rodin <joy-packages@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: debiandoc-sgml (>= 1.2.8), po4a, texlive-full, w3m, latex-cjk-all, ghostscript | gs-esp | gs
-Standards-Version: 3.8.4
+Build-Depends-Indep: debiandoc-sgml (>= 1.2.8), po4a, w3m,
+ ghostscript | gs-esp | gs, 
+ texlive,
+ texlive-lang-all,
+ texlive-latex-extra,
+ latex-cjk-all
+Standards-Version: 3.9.1
 Homepage: http://www.debian.org/doc/devel-manuals#maint-guide
 Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/maint-guide
 Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/maint-guide/
@@ -25,13 +30,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-fr
 Architecture: all
@@ -50,13 +54,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-ja
 Architecture: all
@@ -75,13 +78,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-ko
 Architecture: all
@@ -100,13 +102,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-es
 Architecture: all
@@ -125,13 +126,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-ru
 Architecture: all
@@ -150,13 +150,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-de
 Architecture: all
@@ -175,13 +174,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-pt-br
 Architecture: all
@@ -202,13 +200,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-it
 Architecture: all
@@ -227,13 +224,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-pl
 Architecture: all
@@ -252,13 +248,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-zh-cn
 Architecture: all
@@ -279,13 +274,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-zh-tw
 Architecture: all
@@ -306,9 +300,9 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package

## maint-guide 1.2.25

=== Makefile ===
#
# Makefile for the Debian New Maintainers' Guide
#
# All source files use UTF-8 encoding
#
# Language names are in lowercase web suffix style without encoding.
# In adendum <lang>.*.add files, you can use any number for middle *.
#
# Debian maint-guide package target:
#  * make all
#
# Debian Documentation Project target:
#  * make publish
#
# Test build of incomplete PO file for language ?? to sgml and html
#  * make html LANG_PO=?? LANG_ALL=??
#  (Please note this will overwrite corresponding sgml file)

# Basename for SGML sources
MANUAL		:= maint-guide

# Language which is the base of all files
LANG_EN		:= en

# Language which is supported directly by SGML files (Customizable)
# These should be converted to PO files ASAP
LANG_SGML	:= de ko pl pt-br ru
 
# Language which generates SGML files from PO files (Customizable)
LANG_PO		:= es fr it ja zh-cn zh-tw

# Language which is excluded from producing PS, PDF (Customizable)
LANG_CJK	:= ko
#LANG_CJK	:= 

# Language group
LANG_ALL	:= $(LANG_EN) $(LANG_PO) $(LANG_SGML)
LANG_NOE	:= $(filter-out en,$(LANG_ALL))
LANG_NOCJK	:= $(filter-out $(LANG_CJK),$(LANG_ALL))
LANG_NOCJKE	:= $(filter-out $(LANG_CJK) en,$(LANG_ALL))

# For package building (all)
DEBIAN_DIR	:= $(CURDIR)/debian
all:
	$(MAKE) version.ent
	$(MAKE) sgml
	$(MAKE) html txt ps pdf
	for lang in $(LANG_NOCJKE); do sed -e "s/@@/$$lang/g" < $(DEBIAN_DIR)/all-nocjke.install-in > $(DEBIAN_DIR)/$(MANUAL)-$$lang.install; done
	for lang in $(LANG_CJK);    do sed -e "s/@@/$$lang/g" < $(DEBIAN_DIR)/all-cjk.install-in    > $(DEBIAN_DIR)/$(MANUAL)-$$lang.install; done

version.ent:
	echo '<!entity' "docisodate \"$(shell LC_ALL=C date -u +'%F %T %Z')\">" > version.ent
	echo '<!entity' "docversion \"$(shell LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//')\">" >> version.ent

# For web page building (publish)
# this can and will be overriden by a higher level makefile
PUBLISHDIR	:= /org/www.debian.org/www/doc/manuals
publish: 
	echo '<!entity docisodate "$(shell LC_ALL=C date -u +'%F %T %Z')">' > version.ent
	echo '<!entity docversion "$(shell LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//')-svn">' >> version.ent
	$(MAKE) sgml
	$(MAKE) html txt ps pdf
	test -d $(PUBLISHDIR)/$(MANUAL) || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	# remove old files
	install -p -m 644 $(MANUAL)*.html/*.html $(PUBLISHDIR)/$(MANUAL)/
	install -p -m 644 $(MANUAL)*.txt $(MANUAL)*.ps $(MANUAL)*.pdf $(PUBLISHDIR)/$(MANUAL)
	echo "AddCharset UTF-8 .txt" > $(PUBLISHDIR)/$(MANUAL)/.htaccess

# generating SGML files from PO files
# -M : master file $(MANUAL).en.sgml is always in UTF-8
PO_UPDATE	:= po4a-updatepo --previous -M UTF-8 -f sgml
#PO_UPDATE	:= po4a-updatepo --previous --msgmerge-opt --no-wrap -M UTF-8 -f sgml
PO_TRANSLATE	:= po4a-translate  -M UTF-8 -f sgml --keep 0
PO_GETTEXT	:= po4a-gettextize -M UTF-8 -f sgml

# This target is run manually under sid before squeeze release
tw:
	msgcat --no-wrap $(MANUAL).zh-cn.po | opencc | sed -f cn2tw.sed | msgcat - > $(MANUAL).zh-tw.po

sgml:
	if ! [ -f version.ent ]; then $(MAKE) version.ent; fi
	for lang in $(LANG_PO); do \
		echo "Translate to: $$lang" ;\
		$(MAKE) $(MANUAL).$$lang.sgml ;\
        done

$(MANUAL).pot: $(MANUAL).en.sgml
	$(PO_GETTEXT) -o ignore-inclusion=version -m $< -p $@

# Note for $(MANUAL).%.sgml target:
# This is essentially executing
#    |  $(PO_UPDATE) ...
#    |  $(PO_TRANSLATE) ...
# if only ?? is listed in $(LANG_PO).  See README.translators 
# 
# Note for PO_TRANSLATE command line:
#  -L : Charset of the file containing the localized document. UTF-8
#  xargs -n1 is to split file name matching $*.*.add into lines.
#  sed script is to add "-a" to automatically add addendum files.
$(MANUAL).%.sgml: $(MANUAL).%.po $(MANUAL).en.sgml
	if echo "$(LANG_PO)" | grep -q "$*" ; then \
		$(PO_UPDATE) -o ignore-inclusion=version -m $(MANUAL).en.sgml -p $(MANUAL).$*.po ;\
		$(PO_TRANSLATE) -v -L UTF-8 -m $(MANUAL).en.sgml -l $@ -p $< \
		    $$(echo $*.*.add|xargs -n1|sed -ne 's/^\([^*]*\.add\)$$/-a \1/p') \
		    -o ignore-inclusion=version ;\
	fi

# generating HTML
# ugly because the normal stuff works only as PHONYs. :(
#$(MANUAL).%.html/index.%.html: $(MANUAL).%.sgml
#	debiandoc2html -c -l $* $<
html:
	if ! [ -f version.ent ]; then $(MAKE) version.ent ; $(MAKE) po; fi
	for lang in $(LANG_ALL); do \
	  if /usr/bin/test \( ! -e $(MANUAL).$$lang.html/index.$$lang.html \) \
			-o \( $(MANUAL).$$lang.sgml -nt $(MANUAL).$$lang.html/index.$$lang.html \); then \
            debiandoc2html -C -l $$lang.utf-8 $(MANUAL).$$lang.sgml; \
          fi; \
        done

# generating plain text
txt text: $(patsubst %,$(MANUAL).%.txt,$(LANG_ALL))

$(MANUAL).%.txt: $(MANUAL).%.sgml
	debiandoc2text -l $*.utf-8 $<

# generating PostScript
ps: $(patsubst %,$(MANUAL).%.ps,$(LANG_NOCJK))

$(MANUAL).%.ps: $(MANUAL).%.sgml
	debiandoc2latexps -l $*.utf-8 $<

# generating Portable Document Format
pdf: $(patsubst %,$(MANUAL).%.pdf,$(LANG_NOCJK))

$(MANUAL).%.pdf: $(MANUAL).%.sgml
	debiandoc2latexpdf -l $*.utf-8 $<

# validating SGML ::: not used!
validate:
	@set -x; for i in $(wildcard *.sgml); do nsgmls -ges -wall $$i; done

# cleaning up
clean:
	for ext in txt ps dvi pdf log tex aux toc out tpt tex-in ; do \
		rm -f $(MANUAL)*.$$ext ;\
	done
	rm -f .htaccess
	rm -f $(MANUAL)*.info*
	rm -f $(MANUAL)*.sasp*
	rm -f $(MANUAL)*.info*
	rm -f $(MANUAL)*.*~
	rm -rf $(MANUAL)*.html 
	rm -rf *.tmp *.mo
	rm -f version.ent
	for lang in $(LANG_PO); do \
		rm -f $(MANUAL).$$lang.sgml ;\
        done
	#rm -f $(MANUAL).zh-tw.po
	if [ -e $(PUBLISHDIR) ]; then rm -rf $(PUBLISHDIR)/$(MANUAL); fi
	for lang in $(LANG_NOE); do rm -f $(DEBIAN_DIR)/$(MANUAL)-$$lang.install; done

distclean: clean

.PHONY: all publish clean distclean validate
.PHONY: sgml tw html text txt ps pdf
.SUFFIXES:

=== debian/changelog ===
maint-guide (1.2.25) unstable; urgency=low

  * Fixed typo: s/DSFG/DFSG/g by Tobias Quathamer.
  * Updated uscan watch file examples. Closes: #602454
  * Made text compatible with non-Bash. Closes: #605976
  * Converted Japanese translation to PO (100% translation). Closes: #597594
  * Converted Spanish translation to PO (100% translation). Closes: #604710
  * Converted German translation to PO (60% translation) and built from 
    updated SGML for now. Closes: #604767
  * Updated French, Italian, Chinese(cn,tw) translations (100%).

 -- Osamu Aoki <osamu@debian.org>  Sun, 19 Dec 2010 16:28:06 +0900
